Update exclusion¶
PATCH/
Endpoint API · Isolation Exclusions
Updates an Isolation exclusion by ID.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
exclusionId | path | string (uuid) | Yes | Exclusion ID. |
Request body¶
Content type: application/json
Request body fields
localPortsarray of integerLocal protected ports.
Each item must be ≥ 1 and ≤ 65535.
Each item must be ≥ 1 and ≤ 65535.
remotePortsarray of integerRemote protected ports.
Each item must be ≥ 1 and ≤ 65535.
Each item must be ≥ 1 and ≤ 65535.
directionstringIP traffic direction.
Must be one of:
Must be one of:
inbound, outbound, both.remoteAddressesarray of stringRemote addresses to exempt from isolation restrictions.
Must contain at most 1 item.
Must contain at most 1 item.
commentstringComment given to the exclusion at the time of creation.
Request samples¶
curl -X PATCH "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/isolation/<exclusionId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"localPorts\": [
65535
],
\"remotePorts\": [
65535
],
\"direction\": \"inbound\",
\"remoteAddresses\": [
\"http://10.50.100.100\"
],
\"comment\": \"Item is a Malware\"
}"
import requests
response = requests.patch(
"https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/isolation/<exclusionId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={ 'localPorts': [65535],
'remotePorts': [65535],
'direction': 'inbound',
'remoteAddresses': ['http://10.50.100.100'],
'comment': 'Item is a Malware'},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"localPorts": [
65535
],
"remotePorts": [
65535
],
"direction": "inbound",
"remoteAddresses": [
"http://10.50.100.100"
],
"comment": "Item is a Malware"
}'
Invoke-RestMethod -Method PATCH -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/isolation/<exclusionId>" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("PATCH", "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/isolation/<exclusionId>", strings.NewReader(`{
"localPorts": [
65535
],
"remotePorts": [
65535
],
"direction": "inbound",
"remoteAddresses": [
"http://10.50.100.100"
],
"comment": "Item is a Malware"
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/settings/exclusions/isolation/<exclusionId>", {
method: "PATCH",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"localPorts": [
65535
],
"remotePorts": [
65535
],
"direction": "inbound",
"remoteAddresses": [
"http://10.50.100.100"
],
"comment": "Item is a Malware"
}),
});
const data = await response.json();
console.log(data);
Responses¶
200 — Updated Isolation exclusion.¶
Response fields
idstring (uuid)requiredExclusion ID.
typestringrequiredExclusion type. This is always
Must be one of:
isolation.Must be one of:
isolation.localPortsarray of integerLocal allowed ports.
Each item must be ≥ 1 and ≤ 65535.
Each item must be ≥ 1 and ≤ 65535.
remotePortsarray of integerRemote allowed ports.
Each item must be ≥ 1 and ≤ 65535.
Each item must be ≥ 1 and ≤ 65535.
directionstringrequiredIP traffic direction.
Must be one of:
Must be one of:
inbound, outbound, both.remoteAddressesarray of stringRemote addresses to exempt from isolation restrictions.
commentstringrequiredExclusion comment.
Errors¶
| Status | Meaning |
|---|---|
404 | Can't find Isolation exclusion. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.